#ifndef JAMPTOO_H
#define JAMPTOO_H

/* Macro's */

#define TITLEWIDTH Title.Right - Title.Left

/* Internal program variables */
int msgs[] = { LM_GETREVID, 0 };

HWND hParent;
HWND hwndMain;

HWND winamp=NULL;
char title[256] = "";
char ptime[256] = "";
char len[100] = "";
char pos[100] = "";
char rem[100] = "";
char bitr[100] = "";

bool jAmpHidden = TRUE;

const char GrdWndClass[15] = "grdampclass";
char PlayerWndClass[15] = "Winamp v1.x";

/* Step.RC based variables */
struct PARENT
{
    int X;
    int Y;
    int W;
    int H;
};

struct TEXTWINDOW
{
    int Left;
    int Top;
    int Right;
    int Bottom;
};

PARENT Parent;
TEXTWINDOW Title, Time;

char jAmpTitleFormat[256] = "";
char jAmpTimeFormat[256] = "";
char jAmpTimeFormatA[256] = "";
char jAmpTimeFormatB[256] = "";
char jAmpNoWinampText[256] = "";
char jAmpScrollFiller[256] = "";

bool dockedOnWharf=false;
bool isFreeForm=false;

bool jAmpHideWhenNoWinamp=false;
bool jAmpAllowMove=false;
bool jAmpFloat=false;
bool jAmpAlwaysOnTop=false;
bool jAmpStartHidden=false;

char jAmpClickLeft[MAX_LINE_LENGTH] = "";
char jAmpClickRight[MAX_LINE_LENGTH] = "";
char jAmpClickDouble[MAX_LINE_LENGTH] = "";

char jAmpOnAmpOpen[MAX_LINE_LENGTH] = "";
char jAmpOnAmpClose[MAX_LINE_LENGTH] = "";

HFONT jAmpTitleFont, jAmpTimeFont;
HBITMAP hBGbmp;
BITMAP BGbmp;
HBRUSH BGbrush;

int jAmpTransparencyLevel;

int jAmpScrollMode=0;
int jAmpScrollSpeed=1;

bool jAmpUseOldGrdAmp=false;
bool jAmpUseGrdAmp=false;

bool jAmpTime=false;
int jAmpTimeAlign=0;
int jAmpTitleAlign=0;

COLORREF jAmpTitleFontColor;
COLORREF jAmpTimeFontColor;

/* global / temporary variables */
int ret;
bool WinAmpScrollDetected = false;
char jAmpAntiCrashMessage[450] = 
"For jAmpToo to function correctly you *MUST* disable the\n"
"\"Scroll song title in the Windows taskbar\" option in WinAmp.\n\n" 
"In order to do this, click on the Winamp window and press CTRL+P,\n" 
"this should bring up the Preferences window. Take a look in the\n" 
"Options -> Display section (the third item from the top).\n\n" 
"(See the jAmpToo documentation for more information)"; 
#endif 